#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int n, k, x;
    cin >> n >> k >> x;
    int p[n];
    for(int i = 0; i < n; i++)
        cin >> p[i];
    vector<int> a;
    int z;
    for(int i = 0; i <= (n - k + 1); i++)
    {
        z = 0;
        for(int j = 0; j < k; j++)
        {
            z += p[i + j];
        }
        a.push_back(z);
    }
    for(int i = 0; i < (n - k + 1); i++)
    {
        cout << a[i] << endl;
    }
    return 0;
}